---

Linux Kernel Plagued by an EXT4 Data Corruption Issue, Patch Available

Apparently, there’s a data corruption issue in the EXT4 file system for multiple Linux kernel branches, affecting several mainstream distributions, including Arch Linux, Fedora, and Debian GNU/Linux. Several Arch Linux users have already reported data loss after upgrading to Linux kernel 4.0.2 and the bug is confirmed in the Debian GNU/Linux operating system as well. A patch exists and users are urged to upgrade to the latest stable versions of their kernels.